Skip to main content
GET
Get Delegator Gross APY

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

Network name.

Available options:
ethereum,
solana,
polkadot,
kusama,
sui,
ton,
cardano,
celestia

Query Parameters

startAt
string<date-time>

Timestamp of the report data period start in the ISO 8601 format. If not specified, the default value is the one month ago.

Example:

"2024-01-01T00:00:00.000Z"

finishAt
string<date-time>

Timestamp of the report data period finish in the ISO 8601 format. If not specified, the default value is the current date.

Example:

"2024-01-01T00:00:00.000Z"

startNumber
integer<int64>

Start number of the staking period.

finishNumber
integer<int64>

Finish number of the staking period.

limit
integer<int32>

Number of resources that a single response page contains.

Required range: 1 <= x <= 1000
Example:

50

offset
integer<int32>

Number of resources to exclude from a response.

Required range: 0 <= x <= 10000000
Example:

0

address
string
required

Delegator address in the required network.

addressType
enum<string>

Delegator address type in the required network:

  • `deposit` — available for the Ethereum network (used by default)
  • `withdrawal` — available for the Ethereum network
  • `delegator` — available for the Polygon, Solana, Cosmos, Near, and Sui networks (used by default)
  • `stake_account` — available for the Solana
  • `nominator` — available for the TON and Polkadot networks (used by default)
  • `nominator_reward_account` — available for the Polkadot networks
Available options:
deposit,
withdrawal,
nominator,
nominator_reward_account,
delegator,
stake_account
validatorAddress
string

Validator address in the required network for this delegator.

groupBy
enum<string>

Group the report data:

  • `stakingPeriod` — aggregate the results by epoch
  • `day` — aggregate the results by days
  • `all` — aggregate the results over the entire period
.
Available options:
stakingPeriod,
day,
all
skip
enum<string>

Exclude breakdown by validator from the data report.

Available options:
validator
rewardTypes
string[]

Filter rewards by type. Accepts a single string or repeated keys (e.g. ?rewardTypes=delegator+staking+reward). Pass all to return all reward types regardless of defaults (e.g. ?rewardTypes=all).

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.